<?php

namespace Drupal\graphql_extra_cache\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Drupal\graphql_extra_cache\Controller\CachedRequestController;
use Symfony\Component\Routing\RouteCollection;

/**
 * Override the controller for the /graphql route.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  public function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('graphql.query.graphql_compose_server')) {
      $route->setDefault(
        '_controller',
        CachedRequestController::class . '::handleRequest'
      );
    }
  }

}
